gnutls_hex_decode(3)

NAME
gnutls_hex_decode - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hex_decode(const gnutls_datum_t * hex_data, void * result, size_t * result_size);

ARGUMENTS

const gnutls_datum_t * hex_data
    contain the encoded data

void * result
    the place where decoded data will be copied

size_t * result_size
    holds the size of the result

DESCRIPTION
This function will decode the given encoded data, using the hex encoding used by PSK password files.

Note that hex_data should be null terminated.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the buffer given is not long enough, or 0 on success.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/